Closed Bug 1491061 Opened Last year Closed Last year

Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI

Categories

(Firefox :: Tracking Protection, defect, P1)

defect

Tracking

()

RESOLVED FIXED
Firefox 64
Tracking Status
firefox63 --- fixed
firefox64 --- fixed

People

(Reporter: ehsan, Assigned: ehsan)

References

(Blocks 1 open bug)

Details

Attachments

(3 files, 1 obsolete file)

No description provided.
Blocks: privacy-ui
QA Whiteboard: [privacy-panel-64]
Blocks: 1484788
Assignee: nobody → ehsan
Status: NEW → ASSIGNED
Priority: -- → P1
Some background on the problem being solved here.

On 63, late in the cycle we would like to be able to make a couple of decisions, that is, whether to ship the content blocking UI, and whether to ship Third-Party Cookies under it.

Since each one of these prefs may end up being false, the user may not see that blocking third-party cookies from trackers and/or blocking all third-party cookies is now under Content Blocking.  Therefore, if either of those two prefs are set to false, we would like to revert the behavior to what we had before 63 for cookie blocking, that is, pretend the content blocking feature doesn't exist.
A description about the tests.  For each existing test that was testing a blockingByContentBlocking: true condition, I added the two other prefs also with true values.  For each test that was testing a blockingByContentBlocking: false condition, I added two additional tests each testing what would happen if blockingByContentBlocking was true but one of the UI prefs was false.

One thing to note about the imagecache tests.  I renamed files to ensure that when I was dealing with blockingByContentBlocking: false tests, the two new variants are listed immediately after the one that I modified.  For example, browser_imageCache3.js had blockingByContentBlocking: false, and now browser_imageCache4.js and browser_imageCache5.js are the two extra tests that test the two UI pref variants.  The generated diff is quite confusing when showing what happened, it makes it look like browser_imageCache[8-15].js are newly added and the old files were modified.  Sorry about the confusion.
Comment on attachment 9009205 [details]
Bug 1491061 - Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs

Andrea Marchesini [:baku] has approved the revision.
Attachment #9009205 - Flags: review+
Comment on attachment 9009204 [details]
Bug 1491061 - Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI

Andrea Marchesini [:baku] has approved the revision.
Attachment #9009204 - Flags: review+
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/43552fcae4a4
Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI; r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/494e23ba027e
Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs; r=baku
Backed out 13 changesets (bug 1469714, bug 1491061) for bustages at src/dom/base/nsDocument.cpp, failures at test_browserGlue_bookmarkshtml.js and browser_startup.js on a CLOSED TREE

Backout link: https://hg.mozilla.org/integration/mozilla-inbound/rev/dc31941ced5814990fbddad3e8f85b1031bb85ca

Pushes with failures:

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed,busted,exception&revision=494e23ba027e71fe4e498384ed4e2871ff4bb041

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed,busted,exception&selectedJob=199690238&revision=0fb2ac9ad5ec112fd128c648cca4b4b6d37f7c0a

Log link for bustage: https://treeherder.mozilla.org/logviewer.html#?job_id=199690238&repo=mozilla-inbound&lineNumber=19475

Log snippet: [task 2018-09-17T14:15:34.233Z] 14:15:34     INFO -  make[4]: Leaving directory '/builds/worker/workspace/build/src/obj-firefox/dom/bindings'
[task 2018-09-17T14:15:34.233Z] 14:15:34     INFO -  make[4]: Entering directory '/builds/worker/workspace/build/src/obj-firefox/dom/bindings'
[task 2018-09-17T14:15:34.233Z] 14:15:34     INFO -  make[4]: Leaving directory '/builds/worker/workspace/build/src/obj-firefox/dom/bindings'
[task 2018-09-17T14:15:37.295Z] 14:15:37     INFO -  make[4]: Entering directory '/builds/worker/workspace/build/src/obj-firefox/dom/base'
[task 2018-09-17T14:15:37.299Z] 14:15:37     INFO -  /builds/worker/workspace/build/src/sccache2/sccache /builds/worker/workspace/build/src/clang/bin/clang++ --target=i686-linux-gnu -o Unified_cpp_dom_base7.o -c  -I/builds/worker/workspace/build/src/obj-firefox/dist/stl_wrappers -I/builds/worker/workspace/build/src/obj-firefox/dist/system_wrappers -include /builds/worker/workspace/build/src/config/gcc_hidden.h -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DHAVE_SIDEBAR -DSTATIC_EXPORTABLE_JS_API -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -I/builds/worker/workspace/build/src/dom/base -I/builds/worker/workspace/build/src/obj-firefox/dom/base -I/builds/worker/workspace/build/src/dom/battery -I/builds/worker/workspace/build/src/dom/events -I/builds/worker/workspace/build/src/dom/media -I/builds/worker/workspace/build/src/dom/network -I/builds/worker/workspace/build/src/caps -I/builds/worker/workspace/build/src/docshell/base -I/builds/worker/workspace/build/src/dom/base -I/builds/worker/workspace/build/src/dom/file -I/builds/worker/workspace/build/src/dom/geolocation -I/builds/worker/workspace/build/src/dom/html -I/builds/worker/workspace/build/src/dom/ipc -I/builds/worker/workspace/build/src/dom/storage -I/builds/worker/workspace/build/src/dom/svg -I/builds/worker/workspace/build/src/dom/u2f -I/builds/worker/workspace/build/src/dom/xbl -I/builds/worker/workspace/build/src/dom/xml -I/builds/worker/workspace/build/src/dom/xslt/xpath -I/builds/worker/workspace/build/src/dom/xul -I/builds/worker/workspace/build/src/gfx/2d -I/builds/worker/workspace/build/src/image -I/builds/worker/workspace/build/src/js/xpconnect/loader -I/builds/worker/workspace/build/src/js/xpconnect/src -I/builds/worker/workspace/build/src/js/xpconnect/wrappers -I/builds/worker/workspace/build/src/layout/base -I/builds/worker/workspace/build/src/layout/forms -I/builds/worker/workspace/build/src/layout/generic -I/builds/worker/workspace/build/src/layout/style -I/builds/worker/workspace/build/src/layout/svg -I/builds/worker/workspace/build/src/layout/xul -I/builds/worker/workspace/build/src/netwerk/base -I/builds/worker/workspace/build/src/security/manager/ssl -I/builds/worker/workspace/build/src/widget -I/builds/worker/workspace/build/src/xpcom/ds -I/builds/worker/workspace/build/src/netwerk/sctp/datachannel -I/builds/worker/workspace/build/src/obj-firefox/ipc/ipdl/_ipdlheaders -I/builds/worker/workspace/build/src/ipc/chromium/src -I/builds/worker/workspace/build/src/ipc/glue -I/builds/worker/workspace/build/src/obj-firefox/dist/include -I/builds/worker/workspace/build/src/obj-firefox/dist/include/nspr -I/builds/worker/workspace/build/src/obj-firefox/dist/include/nss -fPIC -DMOZILLA_CLIENT -include /builds/worker/workspace/build/src/obj-firefox/mozilla-config.h -Qunused-arguments -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -Qunused-arguments -Wall -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++1z-compat -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Werror=non-literal-null-conversion -Wstring-conversion -Wtautological-overlap-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-unknown-warning-option -Wno-return-type-c-linkage -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -march=pentium-m -msse -msse2 -mfpmath=sse -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/build/src/obj-firefox/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -fno-omit-frame-pointer -Werror -I/builds/worker/workspace/build/src/widget/gtk/compat-gtk3 -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/gtk-3.0/unix-print -Wno-error=shadow  -MD -MP -MF .deps/Unified_cpp_dom_base7.o.pp   /builds/worker/workspace/build/src/obj-firefox/dom/base/Unified_cpp_dom_base7.cpp
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -  In file included from /builds/worker/workspace/build/src/obj-firefox/dom/base/Unified_cpp_dom_base7.cpp:2:
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -  /builds/worker/workspace/build/src/dom/base/nsDocument.cpp:13567:27: error: no member named 'ShouldHonorContentBlockingCookieRestrictions' in 'mozilla::AntiTrackingCommon'
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -    if (AntiTrackingCommon::ShouldHonorContentBlockingCookieRestrictions() &&
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -        ~~~~~~~~~~~~~~~~~~~~^
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -  1 error generated.
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -  /builds/worker/workspace/build/src/config/rules.mk:1121: recipe for target 'Unified_cpp_dom_base7.o' failed
[task 2018-09-17T14:15:37.301Z] 14:15:37     INFO -  make[4]: *** [Unified_cpp_dom_base7.o] Error 1
[task 2018-09-17T14:15:37.302Z] 14:15:37     INFO -  make[4]: Leaving directory '/builds/worker/workspace/build/src/obj-firefox/dom/base'
[task 2018-09-17T14:15:37.302Z] 14:15:37     INFO -  /builds/worker/workspace/build/src/config/recurse.mk:74: recipe for target 'dom/base/target' failed
[task 2018-09-17T14:15:37.302Z] 14:15:37     INFO -  make[3]: *** [dom/base/target] Error 2
[task 2018-09-17T14:15:37.302Z] 14:15:37     INFO -  make[3]: *** Waiting for unfinished jobs....


Log link for browser_startup.js: https://treeherder.mozilla.org/logviewer.html#?job_id=199696869&repo=mozilla-inbound&lineNumber=3102

log snippet: [task 2018-09-17T14:54:14.740Z] 14:54:14     INFO - TEST-PASS | browser/base/content/test/performance/browser_startup.js | should have no unexpected components loaded before profile selection - 
[task 2018-09-17T14:54:14.743Z] 14:54:14     INFO - TEST-INFO | started process screentopng
[task 2018-09-17T14:54:15.664Z] 14:54:15     INFO - TEST-INFO | screentopng: exit 0
[task 2018-09-17T14:54:15.665Z] 14:54:15     INFO - Buffered messages logged at 14:54:13
[task 2018-09-17T14:54:15.666Z] 14:54:15     INFO - Entering test bound 
[task 2018-09-17T14:54:15.666Z] 14:54:15     INFO - Buffered messages finished
[task 2018-09-17T14:54:15.668Z] 14:54:15     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup.js | all components whitelist entries should have been used - Got 1, expected 0
[task 2018-09-17T14:54:15.670Z] 14:54:15     INFO - Stack trace:
[task 2018-09-17T14:54:15.671Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:test_is:1304
[task 2018-09-17T14:54:15.673Z] 14:54:15     INFO - chrome://mochitests/content/browser/browser/base/content/test/performance/browser_startup.js:null:217
[task 2018-09-17T14:54:15.675Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1102
[task 2018-09-17T14:54:15.677Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1093
[task 2018-09-17T14:54:15.681Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
[task 2018-09-17T14:54:15.684Z] 14:54:15     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-09-17T14:54:15.685Z] 14:54:15     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-17T14:54:15.686Z] 14:54:15     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup.js | unused components whitelist entry: XULStore.js - 
[task 2018-09-17T14:54:15.690Z] 14:54:15     INFO - Stack trace:
[task 2018-09-17T14:54:15.691Z] 14:54:15     INFO - chrome://mochitests/content/browser/browser/base/content/test/performance/browser_startup.js:null:220
[task 2018-09-17T14:54:15.692Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1102
[task 2018-09-17T14:54:15.694Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1093
[task 2018-09-17T14:54:15.695Z] 14:54:15     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995

Log link for xpcshell: https://treeherder.mozilla.org/logviewer.html#?job_id=199696924&repo=mozilla-inbound&lineNumber=2129

[task 2018-09-17T14:55:37.295Z] 14:55:37     INFO -  TEST-START | devtools/server/tests/unit/test_objectgrips-16.js
[task 2018-09-17T14:55:37.351Z] 14:55:37     INFO -  TEST-PASS | devtools/server/tests/unit/test_objectgrips-12.js | took 2948ms
[task 2018-09-17T14:55:37.510Z] 14:55:37     INFO -  TEST-PASS | devtools/server/tests/unit/test_objectgrips-09.js | took 3493ms
[task 2018-09-17T14:55:37.789Z] 14:55:37     INFO -  TEST-PASS | devtools/server/tests/unit/test_objectgrips-14.js | took 2425ms
[task 2018-09-17T14:55:38.364Z] 14:55:38     INFO -  TEST-PASS | devtools/server/tests/unit/test_objectgrips-15.js | took 1561ms
[task 2018-09-17T14:55:38.716Z] 14:55:38     INFO -  TEST-PASS | devtools/server/tests/unit/test_objectgrips-16.js | took 1416ms
[task 2018-09-17T14:55:38.773Z] 14:55:38     INFO -  TEST-PASS | devtools/server/tests/unit/test_listsources-03.js | took 17646ms
[task 2018-09-17T14:55:38.781Z] 14:55:38     INFO -  Retrying tests that failed when run in parallel.
[task 2018-09-17T14:55:38.791Z] 14:55:38     INFO -  TEST-START | browser/components/places/tests/unit/test_browserGlue_bookmarkshtml.js
[task 2018-09-17T14:55:38.963Z] 14:55:38  WARNING -  TEST-UNEXPECTED-FAIL | browser/components/places/tests/unit/test_browserGlue_bookmarkshtml.js | xpcshell return code: 0
[task 2018-09-17T14:55:38.965Z] 14:55:38     INFO -  TEST-INFO took 172ms
[task 2018-09-17T14:55:38.967Z] 14:55:38     INFO -  >>>>>>>
[task 2018-09-17T14:55:38.969Z] 14:55:38     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2018-09-17T14:55:38.970Z] 14:55:38     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2018-09-17T14:55:38.970Z] 14:55:38     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2018-09-17T14:55:38.970Z] 14:55:38     INFO -  running event loop
[task 2018-09-17T14:55:38.971Z] 14:55:38     INFO -  browser/components/places/tests/unit/test_browserGlue_bookmarkshtml.js | Starting
[task 2018-09-17T14:55:38.973Z] 14:55:38     INFO -  (xpcshell/head.js) | test pending (2)
[task 2018-09-17T14:55:38.977Z] 14:55:38     INFO -  PID 13234 | JavaScript error: jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/nsBrowserGlue.js, line 313: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
[task 2018-09-17T14:55:38.977Z] 14:55:38     INFO -  (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2018-09-17T14:55:38.979Z] 14:55:38     INFO -  Unexpected exception NS_ERROR_XPC_GS_RETURNED_FAILURE: Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]
[task 2018-09-17T14:55:38.979Z] 14:55:38     INFO -  @/builds/worker/workspace/build/tests/xpcshell/tests/browser/components/places/tests/unit/test_browserGlue_bookmarkshtml.js:19:3
[task 2018-09-17T14:55:38.980Z] 14:55:38     INFO -  async*run_next_test/_run_next_test/<@/builds/worker/workspace/build/tests/xpcshell/head.js:1441:22
[task 2018-09-17T14:55:38.980Z] 14:55:38     INFO -  async*_run_next_test@/builds/worker/workspace/build/tests/xpcshell/head.js:1441:10
[task 2018-09-17T14:55:38.982Z] 14:55:38     INFO -  run@/builds/worker/workspace/build/tests/xpcshell/head.js:692:9
[task 2018-09-17T14:55:38.983Z] 14:55:38     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:219:3
[task 2018-09-17T14:55:38.983Z] 14:55:38     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:533:5
[task 2018-09-17T14:55:38.983Z] 14:55:38     INFO -  @-e:1:1
[task 2018-09-17T14:55:38.985Z] 14:55:38     INFO -  exiting test
[task 2018-09-17T14:55:38.985Z] 14:55:38     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]" {file: "jar:file:///builds/worker/workspace/build/application/firefox/browser/omni.ja!/components/nsBrowserGlue.js" line: 313}]"
[task 2018-09-17T14:55:38.987Z] 14:55:38     INFO -  <<<<<<<
[task 2018-09-17T14:55:39.000Z] 14:55:39     INFO -  TEST-START | browser/components/places/tests/unit/test_browserGlue_corrupt_nobackup.js
[task 2018-09-17T14:55:39.244Z] 14:55:39  WARNING -  TEST-UNEXPECTED-FAIL | browser/components/places/tests/unit/test_browserGlue_corrupt_nobackup.js | xpcshell return code: 0
[task 2018-09-17T14:55:39.247Z] 14:55:39     INFO -  TEST-INFO took 240ms
Flags: needinfo?(ehsan)
Hmm, the test failures here made me realize this wasn't the right approach.  This will make it so that blocking all third-party cookies now on non-desktop accepts all cookies...
Flags: needinfo?(ehsan)
(In reply to :Ehsan Akhgari from comment #9)
> Hmm, the test failures here made me realize this wasn't the right approach. 
> This will make it so that blocking all third-party cookies now on
> non-desktop accepts all cookies...

This isn't exactly accurate.  What is needed here is that we should synchronize the default values of the preferences that AntiTrackingCommon::ShouldHonorContentBlockingCookieRestrictions() checks across all platforms.  I have a patch for that.

I also decided to explicitly set some prefs that some tests are depending on which was discovered by the test failures of the bustage.
Attachment #9009204 - Attachment description: Bug 1491061 - Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI; r=baku → Bug 1491061 - Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI
Attachment #9009205 - Attachment description: Bug 1491061 - Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs; r=baku → Bug 1491061 - Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs
Comment on attachment 9010519 [details]
Bug 1491061 - Part 3: Update existing tests that require the content blocking prefs

Andrea Marchesini [:baku] has approved the revision.
Attachment #9010519 - Flags: review+
Comment on attachment 9010520 [details]
Bug 1491061 - Part 4: Synchronize the default values of the essential prefs that content blocking depends on for all platforms

Andrea Marchesini [:baku] has approved the revision.
Attachment #9010520 - Flags: review+
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7066f941ce99
Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI r=baku
https://hg.mozilla.org/integration/autoland/rev/1497b1426062
Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs r=baku
https://hg.mozilla.org/integration/autoland/rev/f6caae3590e3
Part 3: Update existing tests that require the content blocking prefs r=baku
https://hg.mozilla.org/integration/autoland/rev/e2c6afb1ce06
Part 4: Synchronize the default values of the essential prefs that content blocking depends on for all platforms r=baku
Backed out 4 changesets (bug 1491061) for browser chrome failures on browser/components/preferences/in-content/tests/browser_contentblocking.js. CLOSED TREE

Log:
https://treeherder.mozilla.org/logviewer.html#?job_id=200491659&repo=autoland&lineNumber=5597

INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref privacy.trackingprotection.pbmode.enabled - 
[task 2018-09-20T16:23:40.793Z] 16:23:40     INFO - Buffered messages finished
[task 2018-09-20T16:23:40.794Z] 16:23:40     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref network.cookie.cookieBehavior - 
[task 2018-09-20T16:23:40.794Z] 16:23:40     INFO - Stack trace:
[task 2018-09-20T16:23:40.795Z] 16:23:40     INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_contentblocking.js:testContentBlockingRestoreDefaults:185
[task 2018-09-20T16:23:40.796Z] 16:23:40     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1102
[task 2018-09-20T16:23:40.796Z] 16:23:40     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1093
[task 2018-09-20T16:23:40.797Z] 16:23:40     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
[task 2018-09-20T16:23:40.798Z] 16:23:40     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-09-20T16:23:40.798Z] 16:23:40     INFO - GECKO(2122) | ++DOCSHELL 0x7f5e8bf42800 == 2 [pid = 2277] [id = {9d22e139-42f7-4754-88fb-1231bb7a06a0}]
[task 2018-09-20T16:23:40.799Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 8 (0x7f5e8b7ba200) [pid = 2277] [serial = 35] [outer = (nil)]
[task 2018-09-20T16:23:40.800Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 9 (0x7f5e8b788800) [pid = 2277] [serial = 36] [outer = 0x7f5e8b7ba200]
[task 2018-09-20T16:23:40.801Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 10 (0x7f5e8be5dc00) [pid = 2277] [serial = 37] [outer = 0x7f5e8b7ba200]
[task 2018-09-20T16:23:40.802Z] 16:23:40     INFO - GECKO(2122) | ++DOCSHELL 0x7f8b70c58000 == 12 [pid = 2122] [id = {0360dfaf-1678-4500-a230-d8d313f867a3}]
[task 2018-09-20T16:23:40.803Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 53 (0x7f8b811e8200) [pid = 2122] [serial = 492] [outer = (nil)]
[task 2018-09-20T16:23:40.804Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 54 (0x7f8b7bbcbc00) [pid = 2122] [serial = 493] [outer = 0x7f8b811e8200]
[task 2018-09-20T16:23:40.805Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 55 (0x7f8b80f8c400) [pid = 2122] [serial = 494] [outer = 0x7f8b811e8200]
[task 2018-09-20T16:23:40.805Z] 16:23:40     INFO - GECKO(2122) | ++DOMWINDOW == 56 (0x7f8b80f8dc00) [pid = 2122] [serial = 495] [outer = 0x7f8b811e8200]
[task 2018-09-20T16:23:41.066Z] 16:23:41     INFO - GECKO(2122) | ++DOCSHELL 0x7f8b80e46800 == 13 [pid = 2122] [id = {eec71c94-1931-46fc-b6ee-5e64c81f5afe}]
[task 2018-09-20T16:23:41.068Z] 16:23:41     INFO - GECKO(2122) | ++DOMWINDOW == 57 (0x7f8b811ec000) [pid = 2122] [serial = 496] [outer = (nil)]
[task 2018-09-20T16:23:41.084Z] 16:23:41     INFO - GECKO(2122) | ++DOMWINDOW == 58 (0x7f8b7c54e000) [pid = 2122] [serial = 497] [outer = 0x7f8b811ec000]
[task 2018-09-20T16:23:41.204Z] 16:23:41     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/nsContentUtils.cpp, line 4013
[task 2018-09-20T16:23:41.443Z] 16:23:41     INFO - GECKO(2122) | ++DOCSHELL 0x7f8b83f1b000 == 14 [pid = 2122] [id = {52be4c84-67d0-4a20-b4ce-247761f2391b}]
[task 2018-09-20T16:23:41.445Z] 16:23:41     INFO - GECKO(2122) | ++DOMWINDOW == 59 (0x7f8b811ed200) [pid = 2122] [serial = 498] [outer = (nil)]
[task 2018-09-20T16:23:41.482Z] 16:23:41     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: NS_ENSURE_TRUE(alertsDND) failed: file /builds/worker/workspace/build/src/toolkit/components/alerts/nsAlertsService.cpp, line 294
[task 2018-09-20T16:23:41.791Z] 16:23:41     INFO - GECKO(2122) | ++DOMWINDOW == 60 (0x7f8b8546f000) [pid = 2122] [serial = 499] [outer = 0x7f8b811ec000]
[task 2018-09-20T16:23:41.913Z] 16:23:41     INFO - GECKO(2122) | ++DOMWINDOW == 61 (0x7f8b80f96c00) [pid = 2122] [serial = 500] [outer = 0x7f8b811ed200]
[task 2018-09-20T16:23:42.499Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:42.500Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:42.501Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:42.506Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:42.507Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:42.509Z] 16:23:42     INFO - GECKO(2122) | [Parent 2122, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1642
[task 2018-09-20T16:23:43.395Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref browser.contentblocking.enabled - 
[task 2018-09-20T16:23:43.396Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref browser.fastblock.enabled - 
[task 2018-09-20T16:23:43.397Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref urlclassifier.trackingTable - 
[task 2018-09-20T16:23:43.398Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref privacy.trackingprotection.enabled - 
[task 2018-09-20T16:23:43.400Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref privacy.trackingprotection.pbmode.enabled - 
[task 2018-09-20T16:23:43.402Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref network.cookie.cookieBehavior - 
[task 2018-09-20T16:23:43.452Z] 16:23:43     INFO - GECKO(2122) | --DOMWINDOW == 9 (0x7f5e8b7b9600) [pid = 2277] [serial = 27] [outer = (nil)] [url = about:blank]
[task 2018-09-20T16:23:43.452Z] 16:23:43     INFO - GECKO(2122) | --DOCSHELL 0x7f5e8b723000 == 1 [pid = 2277] [id = {795609c6-072e-4547-9968-789f0e85d3d7}]
[task 2018-09-20T16:23:43.452Z] 16:23:43     INFO - GECKO(2122) | --DOMWINDOW == 8 (0x7f5e8b7b8400) [pid = 2277] [serial = 29] [outer = (nil)] [url = about:blank]
[task 2018-09-20T16:23:43.542Z] 16:23:43     INFO - Leaving test bound testContentBlockingRestoreDefaults
[task 2018-09-20T16:23:43.542Z] 16:23:43     INFO - Entering test bound testContentBlockingRestoreDefaultsSkipExtensionControlled
[task 2018-09-20T16:23:43.552Z] 16:23:43     INFO - Extension loaded
[task 2018-09-20T16:23:43.578Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref browser.contentblocking.enabled - 
[task 2018-09-20T16:23:43.581Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref browser.fastblock.enabled - 
[task 2018-09-20T16:23:43.585Z] 16:23:43     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref urlclassifier.trackingTable - 
[task 2018-09-20T16:23:43.588Z] 16:23:43     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-20T16:23:43.590Z] 16:23:43     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | modified the pref network.cookie.cookieBehavior - 
[task 2018-09-20T16:23:43.591Z] 16:23:43     INFO - Stack trace:

Push with failures:
https://treeherder.mozilla.org/#/jobs?repo=autoland&group_state=expanded&revision=e2c6afb1ce06ec5c162c6e9e2a825c70dda225fd

Backout:
https://hg.mozilla.org/integration/autoland/rev/4de0412de78d3c98bde97fa82abe147b6d829e53
Flags: needinfo?(ehsan)
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/188460d9c432
Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI; r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/056e256c4bb0
Part 2: Add tests to ensure that third-party cookie blocking restrictions under content blocking also follow UI prefs; r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/7a1ee0e4b6d7
Part 3: Update existing tests that require the content blocking prefs; r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/d6f97632d359
Part 4: Synchronize the default values of the essential prefs that content blocking depends on for all platforms; r=baku
FWIW all of these failures were really from bug 1492563.
Flags: needinfo?(ehsan)
Depends on: 1493148
Part 3 of this series is being backed out for having caused bug 1493148.
Comment on attachment 9009204 [details]
Bug 1491061 - Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI

Approval Request Comment
[Feature/Bug causing the regression]: See comment 1.
[Is this code covered by automated tests?]: yes.
[Has the fix been verified in Nightly?]: No
[Needs manual test from QE? If yes, steps to reproduce]: No
[List of other uplifts needed for the feature/fix]: None
[Is the change risky?]: No.
[Why is the change risky/not risky?]: It affects a feature that is off by default on beta.
[String changes made/needed]: None
Attachment #9009204 - Flags: approval-mozilla-beta?
Comment on attachment 9010519 [details]
Bug 1491061 - Part 3: Update existing tests that require the content blocking prefs

Please note that the approval request is for parts 1, 2 and 4.
Attachment #9010519 - Attachment is obsolete: true
Comment on attachment 9009204 [details]
Bug 1491061 - Part 1: Make Disable Protection honour both the Content Blocking UI pref and the pref controlling whether Third-Party Cookies section appears under Content Blocking UI

P1 and does not affect the default configuration on 62, uplift approved for 63 beta 9, thanks.
Attachment #9009204 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
There are conflicts here because bug 1469714 didn't get uplifted. Ehsan, can you provide a patch which applies cleanly on beta, please? Thank you.
Flags: needinfo?(ehsan)
Depends on: 1493682
(In reply to Sebastian Hengst [PTO+workweek 2018-09-22 - 2018-10-08][:aryx] (needinfo on intermittent or backout) from comment #25)
> There are conflicts here because bug 1469714 didn't get uplifted. Ehsan, can
> you provide a patch which applies cleanly on beta, please? Thank you.

Much more importantly, this needs to get uplifted together with bug 1493682 otherwise we'll get those test failures.
Flags: needinfo?(ehsan)
Ehsan can you request the uplifts for the bugs in Comment 26?
Flags: needinfo?(ehsan)
Done.
Flags: needinfo?(ehsan)
Bug 1469714 does not have the uplift requested, wouldn't that cause a conflict as Sebastian mentioned?
I'm handling the uplift of this myself since backporting these patches should be done manually and I'd like to run tests locally to verify that the rebase is done successfully.  Sorry I wasn't clear on that before.

Bug 1469714 shouldn't be backported to 63.
Depends on: 1494737
Bug 1494737 was the missing piece.
Flags: needinfo?(ehsan)
You need to log in before you can comment on or make changes to this bug.